globus_net_manager_s(3)

NAME
globus_net_manager_s - Net Manager Definition.

SYNOPSIS

#include <globus_net_manager.h>

  Data Fields

const char * name
globus_net_manager_pre_listen pre_listen
globus_net_manager_post_listen post_listen
globus_net_manager_end_listen end_listen
globus_net_manager_pre_accept pre_accept
globus_net_manager_post_accept post_accept
globus_net_manager_pre_connect pre_connect
globus_net_manager_post_connect post_connect
globus_net_manager_pre_close pre_close
globus_net_manager_post_close post_close

Detailed Description

Net Manager Definition.

Field Documentation

  globus_net_manager_end_listen globus_net_manager_s::end_listen
End-listen function implementation

  const char* globus_net_manager_s::name
Name of the network manager

  globus_net_manager_post_accept globus_net_manager_s::post_accept
Post-accept function implementation

  globus_net_manager_post_close globus_net_manager_s::post_close
Post-close function implementation

  globus_net_manager_post_connect globus_net_manager_s::post_connect
Post-connect function implementation

  globus_net_manager_post_listen globus_net_manager_s::post_listen
Post-listen function implementation

  globus_net_manager_pre_accept globus_net_manager_s::pre_accept
Pre-accept function implementation

  globus_net_manager_pre_close globus_net_manager_s::pre_close
Pre-close function implementation

  globus_net_manager_pre_connect globus_net_manager_s::pre_connect
Pre-connect function implementation

  globus_net_manager_pre_listen globus_net_manager_s::pre_listen
Pre-listen function implementation

Author

Generated automatically by Doxygen for globus_net_manager from the source code.